Package twisted :: Package protocols :: Module policies :: Class TimeoutProtocol |
[frames | no frames]

## Class TimeoutProtocol

    BaseProtocol --+
                   |
            Protocol --+
                       |
         ProtocolWrapper --+
                           |
                          TimeoutProtocol

Protocol that automatically disconnects when the connection is idle.

Stability: Unstable

Method Summary
| ``__init__`(self, factory, wrappedProtocol, timeoutPeriod)` Constructor.
| ``cancelTimeout`(self)` Cancel the timeout.
| `connectionLost(self, reason)`
| ``dataReceived`(self, data)` Called whenever data is received.
| ``resetTimeout`(self)` Reset the timeout, usually because some activity just happened.
| ``setTimeout`(self, timeoutPeriod)` Set a timeout.
| ``timeoutFunc`(self)` This method is called when the timeout is triggered.
| `write(self, data)`
| `writeSequence(self, seq)`
Inherited from ProtocolWrapper
| ``connectionMade`(self)` Called when a connection is made.
| ``getHost`(self)`
| ``getPeer`(self)`
| ``loseConnection`(self)`
| ``registerProducer`(self, producer, streaming)`
| ``stopConsuming`(self)`
| ``unregisterProducer`(self)`
Inherited from Protocol
| ``connectionFailed`(self)` (Deprecated)
Inherited from BaseProtocol
| ``makeConnection`(self, transport)` Make a connection to a transport and a server.

Class Variable Summary
Inherited from ProtocolWrapper
`tuple` | `__implements__` = `(<class twisted.internet.interfaces.ITr...`
`int` | `disconnecting` = 0
Inherited from BaseProtocol
`int` | `connected` = 0
`NoneType` | `transport` = None

Method Details

### __init__(self, factory, wrappedProtocol, timeoutPeriod) (Constructor) Constructor. Parameters: `factory` - An `IFactory`. `wrappedProtocol` - A `Protocol` to wrapp. `timeoutPeriod` - Number of seconds to wait for activity before timing out. Overrides: `twisted.protocols.policies.ProtocolWrapper.__init__`

### cancelTimeout(self) Cancel the timeout. If the timeout was already cancelled, this does nothing.

### dataReceived(self, data) Called whenever data is received. Use this method to translate to a higher-level message. Usually, some callback will be made upon the receipt of each complete protocol message. Parameters: `data` - a string of indeterminate length. Please keep in mind that you will probably need to buffer some data, as partial (or multiple) protocol messages may be received! I recommend that unit tests for protocols call through to this method with differing chunk sizes, down to one byte at a time. Overrides: `twisted.protocols.policies.ProtocolWrapper.dataReceived` (inherited documentation)

### resetTimeout(self) Reset the timeout, usually because some activity just happened.

### setTimeout(self, timeoutPeriod=None) Set a timeout. This will cancel any existing timeouts. Parameters: `timeoutPeriod` - If not `None`, change the timeout period. Otherwise, use the existing value.

### timeoutFunc(self) This method is called when the timeout is triggered. By default it calls `loseConnection`. Override this if you want something else to happen.

Generated by Epydoc 2.0 on Sat Oct 25 00:54:57 2003 | http://epydoc.sf.net